
//import mx.controls.Button;

class Menu
{
	private var parent:MovieClip;
	private var selectColor:Number;
	private var unselectColor:Number;
	private var selected:MovieClip;
	
	function Menu(mc:MovieClip, entries:Array, selectColor:Number, unselectColor:Number, borderColor:Number)
	{
		this.parent = mc;
		this.selectColor = selectColor;
		this.unselectColor = unselectColor;
		this.selected = undefined;
				
		var fmt:TextFormat = new TextFormat("library.Monofont.ttf", 12, 0xffffffff, true, false, false, null, null, "center");
		var top:Number = (mc._height - (entries.length * 20)) / 2;
		
		for (var i=0; i < entries.length; i++)
		{
			var bt:MovieClip = mc.createEmptyMovieClip(i, mc.getNextHighestDepth());
			bt._x = 20;
			bt._y = top + i*20;
			bt.beginFill(unselectColor, 100);
			bt.lineTo(0, 16);
			bt.lineTo(mc._width - 40, 16);
			bt.lineTo(mc._width - 40, 0);
			bt.endFill();
			bt.parentMenu = this;
			
			bt.onPress = function() {
				this.parentMenu.select(this);
			}
			
			bt.createTextField("tf", bt.getNextHighestDepth(), 0, 0, bt._width, bt._height);
			var entry:TextField = bt.tf;
			entry.text = entries[i];
			entry.selectable = false;
			entry.embedFonts = true;
			entry.border = (borderColor != undefined);
			entry.borderColor = borderColor;
			entry.background = true;
			entry.backgroundColor = unselectColor;
			entry.setTextFormat(fmt);
		}
	}
	
	function fill(mc:MovieClip, color:Number) { 
			mc.beginFill(color, 100);
			mc.moveTo(0, 0);
			mc.lineTo(0, mc._height);
			mc.lineTo(mc._width, mc._height);
			mc.lineTo(mc._width, 0);
			mc.endFill();
	}
	
	function select(mc:MovieClip)
	{
		if (this.selected != undefined) {
			trace("unselect " + this.selected._name);
			this.selected.tf.backgroundColor = this.unselectColor;
//			fill(this.selected, this.unselectColor);
		}
		
		this.selected = mc;
		trace("select " + this.selected._name);
		this.selected.tf.backgroundColor = this.selectColor;
//		fill(this.selected, this.selectColor);
	}
}
