
class Util
{
	static var WHITE:Number = 0xffffff;
	static var BLACK:Number = 0x000000;
	static var BLUE_1:Number = 0x3A71C6;
	static var BLUE_2:Number = 0x5484CE;
	static var BLUE_3:Number = 0x1B5ABD;
	
	static var SCREEN_WIDTH = 320;
	static var SCREEN_HEIGHT = 240;	
	
	static function mainScreen(mc:MovieClip, w:Number, h:Number, color:Number, title:String) {
		drawRect(mc, 0, 0, w, h, color);
		
		if (title != undefined)
			getTextField(mc, 20, 0, 20, title,3);
	}

	static function getTextFormat(height:Number, color:Number) {
		return new TextFormat("library.Monofont.ttf", height, color);
	}
	
	static function getTextField(mc:MovieClip, x:Number, y:Number, fh:Number, message:String, lines:Number)
	{
		var h:Number = (lines==undefined ? 1 : lines) * (fh+4); 
		var fmt:TextFormat = Util.getTextFormat(fh, Util.WHITE);
		var depth:Number = mc.getNextHighestDepth();
		mc.createTextField("tf_" + depth, depth, x, y, mc._width-x-4, h);
		var tf:TextField = mc["tf_" + depth];
		tf.setNewTextFormat(fmt);
		tf.selectable = false;
		tf.embedFonts = true;
		if (lines != undefined)
			tf.wordWrap = true;
		if (message != undefined)
			tf.text = message;
		return tf;
	}

	static function drawRect(mc:MovieClip, x:Number, y:Number, w:Number, h:Number, color:Number)
	{
		if (color != undefined)
			mc.beginFill(color);

		mc.moveTo(x,   y);
		mc.lineTo(x,   y+h);
		mc.lineTo(x+w, y+h);
		mc.lineTo(x+w, y);

		if (color != undefined)
			mc.endFill();
	}
}
